osgDB::DatabasePager::PagedLODList Struct Referenceabstract

`#include <DatabasePager>`

Inheritance diagram for osgDB::DatabasePager::PagedLODList:

## Public Member Functions

virtual PagedLODList * | clone ()=0
virtual void | clear ()=0
virtual unsigned int | size ()=0
virtual void | removeExpiredChildren (int numberChildrenToRemove, double expiryTime, unsigned int expiryFrame, ObjectList &childrenRemoved, bool visitActive)=0
virtual void | removeNodes (osg::NodeList &nodesToRemove)=0
virtual void | insertPagedLOD (const osg::observer_ptr< osg::PagedLOD > &plod)=0
virtual bool | containsPagedLOD (const osg::observer_ptr< osg::PagedLOD > &plod) const =0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## clear()

virtual void osgDB::DatabasePager::PagedLODList::clear | ( |  | ) |

pure virtual

## clone()

virtual PagedLODList * osgDB::DatabasePager::PagedLODList::clone | ( |  | ) |

pure virtual

## containsPagedLOD()

virtual bool osgDB::DatabasePager::PagedLODList::containsPagedLOD | ( | const osg::observer_ptr< osg::PagedLOD > & | plod | ) | const

pure virtual

## insertPagedLOD()

virtual void osgDB::DatabasePager::PagedLODList::insertPagedLOD | ( | const osg::observer_ptr< osg::PagedLOD > & | plod | ) |

pure virtual

## removeExpiredChildren()

virtual void osgDB::DatabasePager::PagedLODList::removeExpiredChildren | ( | int | numberChildrenToRemove,
|  | double | expiryTime,
|  | unsigned int | expiryFrame,
|  | ObjectList & | childrenRemoved,
|  | bool | visitActive )

pure virtual

## removeNodes()

virtual void osgDB::DatabasePager::PagedLODList::removeNodes | ( | osg::NodeList & | nodesToRemove | ) |

pure virtual

## size()

virtual unsigned int osgDB::DatabasePager::PagedLODList::size | ( |  | ) |

pure virtual

The documentation for this struct was generated from the following file:

- DatabasePager